2

Using CiviCRM 5.13.5 and Drupal 7.67.

I'm trying to install CiviMobile but am getting an error that says "Server API Error" when trying to login on my mobile phone.

The steps I followed are as follows:

  • Downloaded "CiviMobile API" from https://civicrm.org/extensions/civimobileapi
  • Installed "CiviMobile API" (4.0.2) through CPanel in the same way that I've installed other extensions in the past (/default/files/civicrm/ext)
  • Installed the extension on civicrm/admin/extensions?reset=1
  • Had a message pop up on that page saying that my CiviCRM now supports the CiviMobile extension and a prompt to head to the app store to download the CiviMobile app
  • Downloaded the CiviMobile app (iPhone, IOS 11.2.1) and filled in my credentials on the login screen
  • Put in my correct username and password that I use to access CiviCRM on the computer, and filled in the URL (with https://) through which I access CiviCRM'
  • Received the "Server API Error" message. I get the same error message when I use the following variations of the URL: https://URL.com/loginpage and https://www.URL.com/loginpage (However the URL we use is https://URL.com/loginpage)
  • When I type in the URL as http://URL.com/loginpage or www.URL.com/loginpage I get the error message "Please install CiviMobile extension in your CiviCRM" however I don't think this is important since we use https

Not sure what else to try here, does any one have any insights? I'm sure I've put in my correct credentials.

Thanks in advance

1

A. The url should be https://www.URL.com Do not include loginpage. B. Not sure how you installed it, but make sure the directory of your extension is com.agiliway.civimobileapi (of there is a -master or a version number at the end remove it).

  • Changing the directory of the extension worked (with the URL URL.com) – josh Aug 13 at 0:33
  • <https: // URL.com> – josh Aug 13 at 1:56
  • I got an error message "Your extension is too old. Please speak to the administrator to update the extension" but I had installed the most recent version (4.1.3). Changed the name of the directory and that fixed it. – Rose Lanigan Oct 9 at 11:52

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.